> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Reserve Management

Bridge manages the underlying reserves backing your stablecoin to ensure it is always at least 100% collateralized with equivalent fiat value, as well as to optimize rewards.

As a developer, you have the flexibility to choose how the reserves backing a custom stablecoin are split between liquid assets and treasuries. 

* **On-demand liquid assets**: Reserves allocated to on-demand liquid assets such as fiat and stablecoins available for rapid redemptions to all of Bridge’s supported currencies, but earn a lower rewards rate than treasuries.
* **Treasuries**: Reserves allocated to treasuries earn maximum rewards, and can be redeemed within 1 business day. Bridge will manage the distribution among our custodians to optimize earnings and redemption speed.

You configure your allocation and Bridge manages directly with our custodians.

## Choosing Your Reserve Allocation

When issuing a stablecoin with Bridge, you can choose to allocate reserves between USD, stablecoins\*, and treasuries. Each asset has their own redemption and reward profiles, see the table below for more information.

There are 2 key choices you need to make to set your reserves:

1. Percentage of reserves to be held in **on-demand assets versus treasuries**
2. Of the on-demand assets, how you want to distribute them between USD for instant **business hours** liquidity versus in stablecoins\* for **24/7 and instant on-chain** liquidity
   1. You can select both a percentage distribution and a minimum
   2. If both on-demand balances are below their respective minimums, reserve allocations will be rebalanced accordingly

After these choices are made, Bridge will allocate the remaining percentage of reserves to treasuries.  

This allocation can be changed at any time to balance needs across rapid redemption and reward generation.

| Reserve Type                                 | Strategy                                                                              | Reward\*\*                   | Redemption Window                                                                                                                           |
| -------------------------------------------- | ------------------------------------------------------------------------------------- | ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| Treasuries                                   | High reward, but slower redemption  More detail on our treasuries partners is below.  | Approximately  EFFR - 20 bps | Traditional treasuries: US banking hours  Tokenized treasuries: Primarily US banking hours, with some availability outside of banking hours |
| Off-chain USD (business hours liquidity)     | Instantly redeemable during US banking hours, but offers lower reward than treasuries | EFFR - 200 bps               | US banking hours                                                                                                                            |
| On-chain stablecoins\* (off-hours liquidity) | Instantly redeemable 24/7, but offers no reward                                       | 0%                           | 24/7                                                                                                                                        |

*\* Use of stablecoins as reserves subject to applicable regulatory requirements*

\*\* *Reward rates are subject to change as a result of overall macroeconomic conditions. EFFR - Effective Federal Funds Rate accessible* [*here*](https://www.newyorkfed.org/markets/reference-rates/effr).

### Example allocations

The below highlights two example reserve strategies for different goals for a stablecoin with \$100m in AUM.

| Strategy                                                                                                                                        | Liquid / Treasury Split | USD   | Stablecoins | Treasuries | Effective Earnings |
| ----------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------- | ----- | ----------- | ---------- | ------------------ |
| **Redemption-first**:  For products with frequent or unpredictable redemptions.   Faster guaranteed redemptions in exchange for lower earnings. | 50% / 50%               | \$25M | \$25M       | \$50M      | 2.2%               |
| **Reward-first**  For products with more predictable flows.  Higher earnings in exchange for slower redemptions.                                | 10% / 90%               | \$5M  | \$5M        | \$90M      | 3.3%               |

## Reserve Partners: Best-in-Class Custodians

Bridge’s stablecoin reserves consist of high-quality liquid assets held both onchain and offchain with premier partners. We manage the partnerships and commercial conversations to always ensure you are getting the most competitive rates.

### Liquid Reserves

* **Lead Bank**: FDIC-insured institution holding USD cash reserves, providing instant liquidity during banking hours.
* **On-chain stablecoins**: Use regulated and compliant stablecoins such as USDC, USDB, and others as eligible collateral for instant liquidity on-chain managed by Bridge.

### Treasury Partners

#### Off-chain

* [**BlackRock**](https://www.blackrock.com/): World's largest asset manager (\$10+ trillion AUM) providing institutional money market funds and treasury management with industry-leading yields and operational excellence developed over 30+ years.
* [**Fidelity Investments**](https://www.fidelity.com/): Institutional grade asset manager with decades of treasury management expertise and \$4+ trillion in AUM.

#### On-Chain

* [**Superstate (USTB)**](https://superstate.com/assets/ustb): Tokenized US Treasury securities bringing institutional-grade treasuries on-chain with the same returns as off-chain alternatives while providing real-time transparency and programmability.
* [**BUIDL**](https://securitize.io/blackrock/buidl): Blackrock’s tokenized money market fund providing daily yield distributions with on-chain transparency while enabling seamless subscription/redemption alongside traditional market hours and liquidity.

## Reserves APIs

See below for an example of how to easily **create or update reserves configurations** via API.

```typescript Request theme={null}
curl --location --request POST 'https://api.bridge.xyz/v0/issuance/reserves/liquidity_allocation' \
--header 'Content-Type: application/json' \
--header 'Api-Key: <Api-Key>' \
--header 'Idempotency-Key: <Unique Idempotency Key>' \
--data-raw '{
  "allocation_percent": 10 # 10% of reserves will be held in cash
  "allocation_minimum": 1000000.00
}'
```

```typescript Response theme={null}
{
	"previous_allocation_percent": 20,
	"new_allocation_percent": 10,
	"previous_allocation_minimum": 1500000,
	"new_allocation_minimum": 1000000,
}
```

See below for an example of how to **view your reserves configurations** via API. 

```typescript Request theme={null}
curl --request GET \
     --url 'https://api.bridge.xyz/v0/issuance/reserves/liquidity_allocation' \
     --header 'Api-Key: <Api-Key>' \
     --header 'accept: application/json'
```

```typescript Response theme={null}
{
	"allocation_percent": 20,
	"allocation_minimum": 1500000
}
```

## Next

Learn about [Reporting and Transparency](/platform/issuance/reporting-and-transparency)
